In diesem Ordner findest du verschiedene Möglichkeiten, wie du deinen erstellten Korpus analysieren und darstellen kannst.

### Kookurrenz und Kollokationsanalyse
Mit dem an der UZH entwickelte Commandline-Tool _kollo_ lässt sich eine Kollokationsanalyse auf den von Promethia erstellten Daten ausführen.

### Netzwerkvisualisierungen

### Simple Counter

Das Script simple_counter.py zeigt beispielhaft, wie eine annotierte Korpusdatei
Zeile für Zeile prozessiert und Types (unterschiedliche Wörter) gezählt werden können.

Die Input-Datei ist eine von Promethia prozessierte Datei (vrt-Format). Auf OLAT befindet
sich eine Beispieldatei von Schweizer Presseartikeln: https://lms.uzh.ch/auth/RepositoryEntry/17174430499/CourseNode/103537444747079 -> Korpusdaten

Die zu verarbeitende Datei wird mit Promethia über einen Aufruf folgender Art erzeugt:

```
python3 -m promethia.promethia -i ../Annotation/InputRussland/ -l swissdox -o ../Annotation/Russland.corpus.vrt -s vrt
```

Das Script simple\_counter\_v2.py zeigt eine Variante, mit der bestimmte Wortarten und Jahredaten gefiltert werden können.


### Word Embeddings

In diesem Ordner kannst du ein eigenes Word Embedding Modell erstellen, einfache Operationen ausführen, 
Ausschnitte des Vektorraums darstellen oder dein Modell auf die Darstellung mit tensorflow projector vorbereiten. 
Ausserdem gibt es die Möglichkeit die komplexere Methode "TWEC" kennenzulernen.

### Topic Modeling

Hier kannst du dir Topic Modeling Modelle zu vorgegebenen oder eigenen Parameteren erzeugen lassen. 
Dazu stehen dir zwei Methoden zur Verfügung: Entweder mit dem gensim LDA-Modell oder mit Top2Vec.
