## Visualisierung mit dem tensorflow projector

Eine weitere Möglichkeit um Word Embeddings abzubilden, stellt der tensorflow projector dar.
Dieser ist entweder auf der [projekteigenen Website](https://projector.tensorflow.org/), 
oder [hier](https://korpuspragmatik.ds.uzh.ch/tensorboard/#projector&run=.), via die Website für Korpuspragmatik der UZH, zu finden. 
Auf der ersten kannst du eigene Modelle hochladen, auf der zweiten findest du schon einige deutsche Modelle vorinstalliert, die am Lehrstuhl Bubenhofer erstellt wurden.

An beiden Orten kannst also Word Embedding Modelle in einer Wolke anschauen.
Wenn du ein eigenes Modell hochladen willst, musst du folgendes beachten:
Weil der tensorflow projector nur .tsv-Dateien als Input akzeptiert, musst du zuerst deine
.word_vectors-Datei konvertieren. Dazu gibt es in diesem Ordner das Skript **wvec2tsv.py**.
Es gibt dir als Output einmal eine .tsv-Datei welche nur die Vektoren enthält, und eine zweite
.tsv-Datei, welche die zugehörigen Metadatem, also die Worte bzw. Tags zu den jeweiligen 
Vektoren auf der selben Zeile enthält. 

`python3 wev2tsv.py we_modell.word_vectors vectors.tsv metadata.tsv`

Diese beiden Dateien kannst du auf die Website vom tensorflow projector hochladen, wenn du 
auf _Load_ klickst und dann den Anweisungen folgst.
