from KorAPClient import KorAPClient, KorAPConnection


"""
Dieses Skript macht eine einfache Abfrage des eingebenen Begriffs im gewählten Zeitrahmen für die gewählten Länder 
und gibt als Output die Anzahl Treffer pro Jahr und pro Land zurück.
"""

QUERY = "Bananenschale" #Hier gibst du ein, welchen Begriff du abfragen möchtest.
YEARS = range(2010, 2012) #Hier gibst du das Zeitintervall für die Abfrage ein
COUNTRIES = ["DE", "CH"] #Hier kannst du die Länder spezifizieren

kcon = KorAPConnection(verbose=True)

vcs = [f"textType=/Zeit.*/ & pubPlaceKey={c} & pubDate in {y}" for c in COUNTRIES for y in YEARS]
df = KorAPClient.ipm(kcon.frequencyQuery(QUERY, vcs))




