import fileinput
import sys
import stanza
from stanza.models.common.doc import Document

corpus = ""

# lesen aller Dateien (aufgerufen über Parameter beim Programmaufruf)
files = fileinput.input(openhook=fileinput.hook_encoded("utf-8"))
for file in files:
    corpus += file

# Initialisierung Stanza für POS-Tagging/Parsing:
stanza.download('de') # download German model
nlp = stanza.Pipeline('de') # initialize German neural pipeline

# Annotation
doc = nlp(corpus) # run annotation over a sentence

# annotierte Datei abspeichern:
with open("../output/corpus.json", "w", encoding="utf8") as file:
	file.write(str(doc))
