from top2vec import Top2Vec

def main():
    docs = []
    # TODO hier den Dateipfad vom momentanen Standort zu deinem Korpus angeben. Format: .txt, ein Dokument pro Zeile.
    with open("Dateipfad/mein/Korpus.txt", "r", encoding="utf-8") as data_file:
        for line in data_file.readlines():
            docs.append(line)

    #print(len(docs))

    # hier kannst du die Anzahl der Dokumente künstlich auf etwa 4000 bis 8000 erhöhen, 
    # um für kleinere Korpora bessere Ergebnisse zu erzielen.
    # dazu die folgende zeile auskommentieren.
    # docs = docs*10
    # TODO passe die Parameter an (siehe README oder Dokumentation)
    model = Top2Vec(
        docs, embedding_model="doc2vec", speed="deep-learn", workers=4, min_count=20
    )

    # TODO hier den Dateipfad zum Modell angeben. Format: .model
    curr_model_path = "Dateipfad/mein/Modell.model"
    model.save(curr_model_path)


if __name__ == "__main__":
    main()
