from gensim.models import Word2Vec
# convert a .model to .word_vectors
# works best with gensim 4.3.1.

def model_to_word_vectors_format(model_datapath:str, wv_datapath:str):
    model = Word2Vec.load(model_datapath)
    word_vectors = model.wv
    word_vectors.save_word2vec_format(wv_datapath, binary = False)
    print("Done")


if __name__ == "__main__":
    model = 'model_name.model'
    output = 'model_name.word_vectors'
    model_to_word_vectors_format(model, output)