# Anhang

## Korpuslinguistische Arbeiten von Studierenden

Die folgenden Arbeiten entstanden im Rahmen der Einführung in die Korpuslinguistik und Korpuspragmatik von Noah Bubenhofer am Deutschen Seminar der Universität Zürich. Basis
des Kurses war KoDuP sowie weitere Inhalte.

- Daria Aeberhard: Die althochdeutschen Personennamen im Referenzkorpus Altdeutsch. Eine korpuslinguistische Analyse ihrer Häufigkeit und Verteilung nach Themenkategorien – [Aeberhard_Daria_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Aeberhard_Daria_2022.pdf)
- Giulia Duenner: Das Wort ‘Polizeigewalt’ in Korpora.  – [Duenner_Giulia_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Duenner_Giulia_2022.pdf)
- Jana Ehrismann: Innen, /innen, /-innen, *innen, :innen oder _innen?. Eine quantitative Analyse zum Gebrauch gendergerechter Schreibweisen in Zeitungen – [Ehrismann_Jana_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Ehrismann_Jana_2022.pdf)
- Shana Fehr: Band, Song, Album. Eine Wortschatzanalyse von Metal Album Reviews – [Fehr_Shana_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Fehr_Shana_2022.pdf)
- Maike Fischer: Die Veränderung des Lexems Isolation im Zeitraum 1900-2021 anhand ausgewählter Kollokationsprofile. Eine korpuslinguistische Analyse – [Fischer_Maike_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Fischer_Maike_2022.pdf)
- Ayla Florin: ‚Nachhaltigkeit’ und politische Ausrichtung in Schweizer Medien. Eine korpuslinguistische Analyse – [Florin_Ayla_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Florin_Ayla_2022.pdf)
- Lea  Fussenegger: Frau Keller-Sutter und die Sommaruga vs. Ignazio Cassis und Ueli Maurer. Eine korpuslinguistische Untersuchung zu geschlechterunterschiedlichem Gebrauch von Vor- und Nachnamen in Schweizer Medien – [Fussenegger_Lea_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Fussenegger_Lea_2022.pdf)
- Ninib Abdo Hanno: Skeptiker. Eine korpuslinguistische Untersuchung des Skeptikerbegriffs – [Hanno_Ninib_Abdo_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Hanno_Ninib_Abdo_2022.pdf)
- Jessica Muoio: ‘Huere geil, geili Sau oder leider geil’. Eine korpuslinguistische Vergleichsanalyse über die Abstumpfung des Wortes ‘geil’ – [Muoio_Jessica_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Muoio_Jessica_2022.pdf)
- Charlotte Nagy: «Islam», «Islamismus» und «Terrorismus». Erklärung der Muslimfeindlichkeit im Kontext vom Terrorismus anhand einer Korpusanalyse – [Nagy_Charlotte_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Nagy_Charlotte_2022.pdf)
- Nicolas C.  Schatzmann: Im Westen nichts Neues?. Eine korpuslinguistische Studie zum Konstrukt des ‚Westens‘ im Wandel der Zeit – [Schatzmann_Nicolas_C_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Schatzmann_Nicolas_C_2022.pdf)
- Menoa Stauffer: Missbrauch in den Medien. Korpuspragmatisches Topic Modelling des Sprachgebrauchs von Missbrauch in der Schweizer Illustrierten von 1960 bis 2020 – [Stauffer_Menoa_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Stauffer_Menoa_2022.pdf)
- Andrea  Studerus: Verheissungsvolle Versprechungen. Die Textsorte Klappentext korpuslinguistisch betrachtet – [Studerus_Andrea_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Studerus_Andrea_2022.pdf)
- Malamine Timité: Eine korpuslinguistische Analyse zum russisch-ukrainischen Krieg.  – [Timite_Malamine_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Timite_Malamine_2022.pdf)
- Gianna Turra: Vom «Welttreffen der Homosexuellen» zur LGBTQ+-Veranstaltung. Eine korpuslinguistische Studie über die Verwendung und deren Entwicklung des Begriffs «Pride» in der NZZ von 2000-2021 – [Turra_Gianna_2022.pdf](https://korpuspragmatik.ds.uzh.ch/static/pdfs/KorpuslinguistikArbeiten2022/Turra_Gianna_2022.pdf)